/*
 * Faxsuite RESTful API
 * <p><img src=\"https://service.fax-api.de/4.0/img/fax-api.png\" height=\"100\" title=\"title\" /></p>  # API Definition <p><img src=\"https://service.fax-api.de/4.0/img/open_api.png\" height=\"50\" title=\"title\" /></p>  Die <b>RESTful API</b> basiert auf den <b>OpenAPI v3.0.3</b> Spezifikationen. OpenAPI Spezifikationen (OAS) definieren eine standardisierte und programmiersprachenunabhängige Schnittstellenbeschreibung für RESTful APIs. Diese Schnittstelle ist nutzbar ohne dass der Zugang zum Quellcode, zusätzliche Dokumentation oder die Untersuchung des Netzwerk-Traffics erforderlich ist. Somit kann ein Nutzer den Dienst mit einem Minimum an Implementierungslogik verstehen, mit ihm interagieren und einfach und schnell als API-Schnittstelle in seine eigene Softwareanwendung integrieren..<br><br>Weitere Informationen zu OpenAPI finden sie hier: <a href=\"https://www.openapis.org/\"><b>https://www.openapis.org/</b></a>   # Einleitung  <p><img src=\"https://service.fax-api.de/4.0/img/fax-api-faxsuite_v2.png\" height=\"350\" title=\"title\" />  </p>  Mit unserer <b>Faxsuite</b> können Sie überall und zu jederzeit Faxe senden und empfangen. Neben vielen anderen Funktionalitäten bietet Ihnen unsere <b>Faxsuite</b> auch eine RESTFul API-Schnittstelle. Damit können Sie z. B. aus Ihrer eigenen Softwareanwendung Faxe automatisiert versenden. Zeitintensive und teure Investionen in Hardware und Software gehören der Vergangenheit an und sind nicht mehr notwendig..<br><br>Um den API Service nutzen zu können, müssen Sie sich für die <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a> anmelden. Ein kostenloser Testzugang kann <a href=\"https://www.faxverteiler.com/testzugang/\"><b>hier</b></a> beantragt werden. (<i>To use the API service you need to sign up for the <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a>. A free trial access can be requested <a href=\"https://www.faxverteiler.com/testzugang/\"><b>here</b></a></i>).<br><br>Mit der <b>Faxsuite</b> haben Sie die Kontrolle über Ihre Fax-Kampangen. Mit dem kostenlosen Testzugang können Sie alle Faxsuite Module (Fax-API, Mail2Fax, Faxdrucker, Faxmailing und Faxempfang) unverbindlich ausprobieren. Sie bekommen 10 kostenlose Faxseiten, die Sie zum aktiven Kennenlernen unserer Faxsuite nutzen können. (<i>You can test the <b>Faxsuite</b> modules for four weeks without obligation. You will receive 10 free fax pages with the free trial access</i>)<br><br>Nachdem Sie den Zugang beantragt haben, können Sie sich <a href=\"https://www.faxsuite.de/\"><b>hier</b></a> in die <b>Faxsuite</b> einloggen. Unter dem Menüpunkt 'FAX-API | Konto verwalten' können Sie ein neues Fax-API Konto erstellen. Bei der Erstellung des Fax-API Kontos wird automatisch ein Autorisierungs-Schlüssel generiert, welchen Sie für den Zugang zur API-Schnittstelle benötigen. (<i>After creating a login you can access the <b>Faxsuite</b> <a href=\"https://www.faxsuite.de/\"><b>here</b></a>. In the menu 'FAX-API | Konto verwalten' you can create a new API-Account and receive the related token/key you need to gain access to our API service</i>).<br><br>Die standardisierte API Dokumentation wird Ihnen in zwei unterschiedlichen, als nicht <b>interaktive</b> und <b>interaktive</b> Varinaten angeboten:  |Name|Type|Link| |-----|-----|-------| | <b>Redoc</b> | non interactive | <b><a href=\"https://service.fax-api.de/4.0/rest/index.html\">click here for redoc</a></b> | <b>Swagger UI</b> | interactive (self hosted) | <b><a href=\"https://service.fax-api.de/4.0/rest/swagger-ui/index.html\">click here for swagger</a></b> |  
 *
 * OpenAPI spec version: 4.0.0
 * Contact: support@fax-api.de
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
/**
 * Contains several statistic information about the fax job
 */
@Schema(description = "Contains several statistic information about the fax job")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2023-05-09T10:16:59.047+02:00[Europe/Berlin]")
public class JobStatistics {
  @SerializedName("pages")
  private Integer pages = null;

  @SerializedName("surcharge")
  private Integer surcharge = null;

  @SerializedName("recipientCount")
  private Integer recipientCount = null;

  @SerializedName("recipientCountSuccessful")
  private Integer recipientCountSuccessful = null;

  @SerializedName("recipientCountError")
  private Integer recipientCountError = null;

  public JobStatistics pages(Integer pages) {
    this.pages = pages;
    return this;
  }

   /**
   * Number of pages for the fax
   * @return pages
  **/
  @Schema(example = "1", description = "Number of pages for the fax")
  public Integer getPages() {
    return pages;
  }

  public void setPages(Integer pages) {
    this.pages = pages;
  }

  public JobStatistics surcharge(Integer surcharge) {
    this.surcharge = surcharge;
    return this;
  }

   /**
   * Describes the surcharge for the fax
   * @return surcharge
  **/
  @Schema(example = "1", description = "Describes the surcharge for the fax")
  public Integer getSurcharge() {
    return surcharge;
  }

  public void setSurcharge(Integer surcharge) {
    this.surcharge = surcharge;
  }

  public JobStatistics recipientCount(Integer recipientCount) {
    this.recipientCount = recipientCount;
    return this;
  }

   /**
   * Number of recipient for the fax
   * @return recipientCount
  **/
  @Schema(example = "10", description = "Number of recipient for the fax")
  public Integer getRecipientCount() {
    return recipientCount;
  }

  public void setRecipientCount(Integer recipientCount) {
    this.recipientCount = recipientCount;
  }

  public JobStatistics recipientCountSuccessful(Integer recipientCountSuccessful) {
    this.recipientCountSuccessful = recipientCountSuccessful;
    return this;
  }

   /**
   * Number of recipient with a successful sent fax in the job
   * @return recipientCountSuccessful
  **/
  @Schema(example = "8", description = "Number of recipient with a successful sent fax in the job")
  public Integer getRecipientCountSuccessful() {
    return recipientCountSuccessful;
  }

  public void setRecipientCountSuccessful(Integer recipientCountSuccessful) {
    this.recipientCountSuccessful = recipientCountSuccessful;
  }

  public JobStatistics recipientCountError(Integer recipientCountError) {
    this.recipientCountError = recipientCountError;
    return this;
  }

   /**
   * Number of recipient without a successful sent fax in the job
   * @return recipientCountError
  **/
  @Schema(example = "2", description = "Number of recipient without a successful sent fax in the job")
  public Integer getRecipientCountError() {
    return recipientCountError;
  }

  public void setRecipientCountError(Integer recipientCountError) {
    this.recipientCountError = recipientCountError;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    JobStatistics jobStatistics = (JobStatistics) o;
    return Objects.equals(this.pages, jobStatistics.pages) &&
        Objects.equals(this.surcharge, jobStatistics.surcharge) &&
        Objects.equals(this.recipientCount, jobStatistics.recipientCount) &&
        Objects.equals(this.recipientCountSuccessful, jobStatistics.recipientCountSuccessful) &&
        Objects.equals(this.recipientCountError, jobStatistics.recipientCountError);
  }

  @Override
  public int hashCode() {
    return Objects.hash(pages, surcharge, recipientCount, recipientCountSuccessful, recipientCountError);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class JobStatistics {\n");
    
    sb.append("    pages: ").append(toIndentedString(pages)).append("\n");
    sb.append("    surcharge: ").append(toIndentedString(surcharge)).append("\n");
    sb.append("    recipientCount: ").append(toIndentedString(recipientCount)).append("\n");
    sb.append("    recipientCountSuccessful: ").append(toIndentedString(recipientCountSuccessful)).append("\n");
    sb.append("    recipientCountError: ").append(toIndentedString(recipientCountError)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
